Subject: [PWE3] Re: Comments on draft-ietf-pwe3-vccv-11.txt

From: "Thomas D. Nadeau" <[email-masked]>
Date: Mon, 18 Dec 2006 16:10:20 -0500

Hi,

	Sorry for delayed response.

	After speaking privately with a number of folks, I think the consensus
was either "I don't care" or "its ok to remove". The reasoning is  
basically what you
outlined below: VCCV defines a protocol specification (syntax), and  
OAM MAP
defines the semantics.

	--Tom

> Tom,
>
> Sorry for the late response. I was out of the office for a while.  
> Please see below.
>
> Peter
>
>
> >  -----Original Message-----
> > From: Thomas D. Nadeau [mailto:[email-masked]]
> > Sent: Monday, November 06, 2006 1:55 PM
> > To: Busschbach, Peter B (Peter)
> > Cc: PWE3 WG (E-mail)
> > Subject: Re: Comments on draft-ietf-pwe3-vccv-11.txt
> >
> >
> > Peter,
> >
> > I am not in favor of removing the pseudo code for the following
> > reasons:
> >
> > 0) I think it is useful to put it there, as a means of clarification
> > to the reader (or implementer) and also as a road sign
> > pointing them to the oam msg mapping draft for
> > more details.
> Perhaps you could also add some text to explain the various forms  
> of header compression. That is something that continues to confuse  
> me. And maybe also guidelines about how to end the war in Iraq. :-)
>
> But seriously:
>
> Apart form the fact that I don't believe that pseudo code with  
> undefined parameters is useful to implementers, my main problem is  
> that you the text in question does not belong in VCCV. VCCV is  
> about encapsulating OAM information and negotiating which protocols  
> to use. It does not and should not specify the semantics of the OAM  
> information.
> > 1) some asked us to add this to clarify the document in
> > previous revisions.
> >
> I don't recall having seen that request on the mailing list.  But  
> what is your point? I thought it would be obvious to anyone  
> involved in standardization that it is bad practice to summarize  
> one specification in another specification as normative text.  
> However, if this is somehow something we need to vote on, I think  
> that WG chairs should make that call. Referring to "some" who agree  
> with you is IMO not good enough.
>
>
> > 2) removal of this will require vccv to have a normative
> > reference for the OAM msg mapping draft, further
> > delaying it getting an RFC #.
>
> The issue is not when the draft becomes an RFC, but when all  
> relevant specifications related to PW OAM are complete. VCCV  
> defines the syntax of PW OAM, OAM MSG MAP the semantics. VCCV by  
> itself is not sufficient, whether or not you add a normative  
> reference or not. The pseudo code that you propose to add does not  
> change that.
>
> --Tom
>
>
>> "Peter, I only added this because I believe that others insisted  
>> that clarification
>> was needed in this section.  I do not recall anyone asking for it  
>> to be completely
>> removed, just aligned with what appears in the OAM msg map draft  
>> and to act
>> as a summary of what is explained in detail there."
>>
>> Tom,
>>
>> I asked for a removal of this section before. See http:// 
>> www1.ietf.org/mail-archive/web/pwe3/current/msg08466.html.
>>
>> I don't think it is a good idea to try to summarize the OAM  
>> message mapping draft in VCCV. The danger of being incomplete or  
>> inaccurate is significant. At best, the summary is redundant; at  
>> worst, we end up with conflicting specs.
>>
>> Peter
>> -----Original Message-----
>> From: Thomas D. Nadeau [mailto:[email-masked]]
>> Sent: Tuesday, October 10, 2006 2:38 PM
>> To: Busschbach, Peter B (Peter)
>> Cc: PWE3 WG (E-mail)
>> Subject: Re: Comments on draft-ietf-pwe3-vccv-11.txt
>>
>>
>> On Oct 9, 2006, at 4:39 PM, Busschbach, Peter B (Peter) wrote:
>>
>>> Tom,
>>>
>>> I have a comment on section 4.1.
>>>
>>> The text in its current form is not precise.
>>>
>>> 1) It is not clear what is meant by "control plane == 'UP'". Does  
>>> it mean that the LDP session is up, or does it mean that the PW  
>>> Status code is "Pseudowire Forwarding"?
>>
>> It might be more precise to say "control plane status", as is
>> what the control plane believes to be the status of the PW.
>> In your example, yes, LDP's view of things would be what
>> is here (i.e.: LDP status codes).
>>
>>>  2) The text says that diagnostics code 0 is used when the PW is  
>>> up. However, according to the BFD spec, while in the AC defect  
>>> state, a PE transmits diagnostics code 6, but the BFD session  
>>> remains up. In other words, the state "BFD == UP" is not  
>>> equivalent with "diagnostics code == 0". Perhaps the section is  
>>> only focused on PW defects and not on AC defects, but that is not  
>>> clear from the current text.
>>>
>>> 3) The text says:
>>>
>>>          if (control plane == "UP" || BFD Status == "UP")
>>>             PW status = DOWN;
>>>
>>> I assume the two "UP"s are supposed to be "DOWN"s.
>>>
>>>
>>> Even if these inaccuracies would be corrected, I believe it is  
>>> better to delete this section altogether. It does not belong in  
>>> the VCCV draft. The OAM message mapping draft provides a much  
>>> more precise and comprehensive description of defect states and  
>>> the conditions under which these states are entered and exited.
>> Peter, I only added this because I believe that others insisted  
>> that clarification
>> was needed in this section.  I do not recall anyone asking for it  
>> to be completely
>> removed, just aligned with what appears in the OAM msg map draft  
>> and to act
>> as a summary of what is explained in detail there.
>>
>> --Tom
>>
>>
>>>
>>> Peter
>>>
>>>
>>>
>>
>

_______________________________________________
pwe3 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pwe3